import { clearText, haveValue, typeText } from '../../support/cypress.util';

export class OrganisationseinheitenSignaturE2EComponent {
  private readonly organisationsEinheitName: string = 'organisations-form-container-headline';
  private readonly signatureText: string = 'signature-textarea';
  private readonly saveSignatureButton: string = 'save-button';

  public getOrganisationsEinheitName(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.organisationsEinheitName);
  }

  public getSignatureText(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.signatureText);
  }

  public setSignature(signatur: string): void {
    this.clearSignature();
    typeText(this.getSignatureText(), signatur);
  }

  public clearSignature(): void {
    clearText(this.getSignatureText());
  }

  public getSaveButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.saveSignatureButton);
  }

  public saveSignature(): void {
    this.getSaveButton().click();
  }

  public hasSignature(compare: string): void {
    haveValue(this.getSignatureText(), compare);
  }

  public hasScrollbar(): void {
    this.getSignatureText().then((textarea) => {
      const scrollHeight = textarea[0].scrollHeight;
      const clientHeight = textarea[0].clientHeight;

      expect(scrollHeight).to.be.greaterThan(clientHeight);
    });
  }
}
