export class UserProfileIconE2EComponent {
  private readonly locatorAssignedIcon: string = 'user-profile-assigned';
  private readonly locatorUnassignedIcon: string = 'user-profile-unassigned';

  private readonly locatorErrorNotFoundIcon: string = 'user-profile-user-not-found';
  private readonly locatorErrorServiceUnavailableIcon: string = 'user-profile-service-unavailable';

  private readonly locatorUserProfileButton: string = 'user-profile-button-container';

  constructor(private root: string) {}

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getUnassignedIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorUnassignedIcon);
  }

  public getAssignedIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorAssignedIcon);
  }

  public getErrorResourceNotFoundIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorErrorNotFoundIcon);
  }

  public getErrorServiceUnavailableIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorErrorServiceUnavailableIcon);
  }

  public getButton() {
    return this.getRoot().getTestElement(this.locatorUserProfileButton);
  }
}
