import { TOGGLE_ELEMENT } from '../../support/angular.util';

export class UserSettingsE2EComponent {
  private readonly rootLocator: string = 'user-settings';
  private readonly emailBenachrichtigungLocator: string = 'email-benachrichtigung';
  private readonly darkModeLocator: string = 'dark-mode';
  private readonly buttonLocator: string = 'icon-button';

  public getRoot() {
    return cy.getTestElementWithOid(this.rootLocator);
  }

  public getEmailBenachrichtigung(): ToggleE2EComponent {
    return new ToggleE2EComponent(this.emailBenachrichtigungLocator);
  }

  public getDarkMode(): ToggleE2EComponent {
    return new ToggleE2EComponent(this.darkModeLocator);
  }

  public getButton() {
    return this.getRoot().findTestElementWithClass(this.buttonLocator);
  }
}

export class ToggleE2EComponent {
  private readonly rootLocator: string;

  constructor(root: string) {
    this.rootLocator = root;
  }

  public getRoot() {
    return cy.getTestElementWithOid(this.rootLocator);
  }

  public getToggle() {
    return this.getRoot().findElement(TOGGLE_ELEMENT);
  }
}
