import { OrganisationseinheitenSignaturE2EComponent } from '../../../components/organisationseinheiten/organisationseinheiten-signatur.e2e.component';
import { OrganisationsEinheitenE2EComponent } from '../../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { MainPage, waitForSpinnerToDisappear } from '../../../page-objects/main.po';
import { haveText } from '../../../support/cypress.util';
import { loginAsAriane } from '../../../support/user-util';

describe('Signatur', () => {
  const mainPage: MainPage = new MainPage();
  const signaturePage: OrganisationseinheitenSignaturE2EComponent = new OrganisationseinheitenSignaturE2EComponent();
  const organisationsEinheitenTab: OrganisationsEinheitenE2EComponent = new OrganisationsEinheitenE2EComponent();

  const signatureText: string = 'Signatur\nmit\n\n\n\nZeilenumbruch\n\n';

  before(() => {
    loginAsAriane();
  });

  it('should open signature page for Bauamt on click', () => {
    waitForSpinnerToDisappear();
    mainPage.openOrganisationsEinheiten();
    organisationsEinheitenTab.openOrganisationsEinheit('Bauamt');

    haveText(signaturePage.getOrganisationsEinheitName(), 'Bauamt');
  });

  it('should show signature input with scrollbar', () => {
    signaturePage.setSignature(signatureText);
    signaturePage.saveSignature();

    signaturePage.hasSignature(signatureText);
    signaturePage.hasScrollbar();
  });

  it.skip('should enter and save empty signature', () => {
    signaturePage.clearSignature();
    signaturePage.saveSignature();

    signaturePage.hasSignature('');
  });
});
