import { PostfachE2EComponent } from '../../../components/postfach/postfach.e2e.component';
import { waitForSpinnerToDisappear } from '../../../page-objects/main.po';
import { exist } from '../../../support/cypress.util';
import { loginAsAriane } from '../../../support/user-util';

describe('Signatur', () => {
  const postfach: PostfachE2EComponent = new PostfachE2EComponent();

  const signaturText: string = 'Signatur\nmit\n\n\n\nZeilenumbruch\n\n';

  before(() => {
    loginAsAriane();
  });

  it('should show Postfach page', () => {
    waitForSpinnerToDisappear();
    exist(postfach.getSignaturText());
  });

  it('should show signature input with scrollbar', () => {
    postfach.setSignatur(signaturText);
    postfach.saveSignatur();

    postfach.signatureIs(signaturText);
    postfach.scrollbarIsPresent();
  });

  it('should enter an save empty signature', () => {
    postfach.clearSignatur();
    postfach.saveSignatur();

    postfach.signatureIs('');
  });
});
