import { BuildInfoE2EComponent } from '../components/buildinfo/buildinfo.e2e.component';
import { HeaderE2EComponent } from './header.po';

export class MainPage {
  private readonly buildInfo: BuildInfoE2EComponent = new BuildInfoE2EComponent();
  private readonly header: HeaderE2EComponent = new HeaderE2EComponent();
  private readonly benutzerTab: string = 'caption-Benutzer__Rollen';
  private readonly postfachTab: string = 'caption-Postfach';
  private readonly organisationsEinheitenTab: string = 'caption-Organisationseinheiten';

  public getBuildInfo(): BuildInfoE2EComponent {
    return this.buildInfo;
  }

  public getHeader(): HeaderE2EComponent {
    return this.header;
  }

  public getBenutzerTab(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.benutzerTab);
  }

  public clickBenutzerTab(): void {
    this.getBenutzerTab().click();
  }

  public getOrganisationsEinheitenMenu(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.organisationsEinheitenTab);
  }

  public openOrganisationsEinheiten(): void {
    this.getOrganisationsEinheitenMenu().click();
  }
}

export function waitForSpinnerToDisappear(): boolean {
  return cy.getTestElementWithClass('spinner').should('not.exist');
}

export function waitforSpinnerToAppear(): void {
  // exist(cy.getTestElementWithClass('spinner'));
}
