import { Route } from '@angular/router';
import { ROUTES } from 'libs/admin/shared';
import { OrganisationsEinheitFormPageComponent } from '../pages/organisationseinheit/organisationseinheit-form-page/organisationseinheit-form-page.component';
import { OrganisationsEinheitPageComponent } from '../pages/organisationseinheit/organisationseinheit-page/organisationseinheit-page.component';
import { PostfachPageComponent } from '../pages/postfach/postfach-page/postfach-page.component';
import { UserAddPageComponent } from '../pages/users-roles/user-add-page/user-add-page.component';
import { UserRolesPageComponent } from '../pages/users-roles/user-roles-page/user-roles-page.component';

export const appRoutes: Route[] = [
  {
    path: '',
    redirectTo: ROUTES.POSTFACH,
    pathMatch: 'full',
  },
  {
    path: ROUTES.POSTFACH,
    component: PostfachPageComponent,
    title: 'Admin | Postfach',
  },
  {
    path: ROUTES.BENUTZER_UND_ROLLEN,
    component: UserRolesPageComponent,
    title: 'Admin | Benutzer & Rollen',
  },
  {
    path: ROUTES.BENUTZER_UND_ROLLEN_NEU,
    component: UserAddPageComponent,
    title: 'Admin | Benutzer anlegen',
  },
  {
    path: ROUTES.ORGANISATIONSEINHEITEN,
    component: OrganisationsEinheitPageComponent,
    title: 'Admin | Organisationseinheiten',
  },
  {
    path: `${ROUTES.ORGANISATIONSEINHEITEN}/:organisationsEinheitUrl`,
    component: OrganisationsEinheitFormPageComponent,
    title: 'Admin | Organisationseinheit',
  },
];
