import { nxE2EPreset } from '@nx/cypress/plugins/cypress-preset';
import { defineConfig } from 'cypress';

const cypressConfig = require('./cypress.config.json');
const cypressEvents = require('./src/support/cypress-tasks.ts');

export default defineConfig({
  e2e: {
    ...nxE2EPreset(__dirname),
    ...cypressConfig,
    setupNodeEvents(on, config) {
      return cypressEvents(on, config);
    },
  },
  retries: {
    experimentalStrategy: 'detect-flake-and-pass-on-threshold',
    experimentalOptions: {
      maxRetries: 2,
      passesRequired: 1,
    },
    openMode: true,
    runMode: true,
  },
});
