/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { KommentarE2E } from './kommentar';
import { LoeschAnforderungE2E } from './loesch-anforderung';
import { ObjectIdE2E } from './util';
import { WiedervorlageE2E } from './wiedervorlage';

export enum VorgangAttachedItemClientE2E {
  ALFA = 'Alfa',
  OZGCLOUD_NACHRICHTEN_MANAGER = 'OzgCloud_NachrichtenManager',
}

export enum VorgangAttachedItemNameE2E {
  POSTFACH_NACHRICHT = 'PostfachMail',
  WIEDERVORLAGE = 'Wiedervorlage',
  KOMMENTAR = 'Kommentar',
  LOESCH_ANFORDERUNG = 'LoeschAnforderung',
}

export class VorgangAttachedItemE2E {
  _id: ObjectIdE2E;
  version: number;
  client: VorgangAttachedItemClientE2E;
  vorgangId: string;
  itemName: VorgangAttachedItemNameE2E;
  item: PostfachMailItemE2E | WiedervorlageE2E | LoeschAnforderungE2E | KommentarE2E;
  deleted: boolean;
  _class: string;
}

//PostfachMail
export class PostfachMailItemE2E {
  postfachId: string;
  createdAt: Date;
  mailBody: string;
  createdBy: string;
  subject: string;
  vorgangId: string;
  replyOption: ReplyOptionE2E;
  direction: DirectionE2E;
  sentAt: Date | string;
  sentSuccessful: boolean;
  messageCode: PostfachNachrichtMessageCodeE2E;
  attachments: string[];
}

export enum ReplyOptionE2E {
  POSSIBLE = 'POSSIBLE',
  FORBIDDEN = 'FORBIDDEN',
}

export enum DirectionE2E {
  IN = 'IN',
  OUT = 'OUT',
}

export enum PostfachNachrichtMessageCodeE2E {
  PROCESSING_FAILED = 'postfachnachricht.server.processing_failed',
  CONNECTION_FAILED = 'postfachnachricht.server.connection_failed',
}

export enum PostfachNachrichtMessageCodeMessagesE2E {
  CONNECTION_FAILED = 'Verbindungsfehler: Die Verbindung zum Zielserver des Postfachs ist nicht zustandegekommen.',
  PROCESSING_FAILED = 'Fehlerhafte Verarbeitung: Die Nachricht wurde an das Postfach geschickt, konnte dort aber nicht richtig verarbeitet werden.',
}

export enum PostfachNachrichtSnackbarMessageE2E {
  SEND_SUCCESSFUL = 'Die Nachricht wurde erfolgreich versendet.',
  ATTACHMENT_TO_LAREGE = 'Anhänge größer 3MB können nicht versendet werden.', //TODO: Umbenennen
}
