import {
  createEmptyStateResource,
  createStateResource,
  StateResource,
} from '@alfa-client/tech-shared';
import { createFilledSettingsListResource } from '../../test/admin-settings';
import { createPostfachResource } from '../../test/postfach/postfach';
import { SettingListResource } from './admin-settings.model';
import { getPostfachResource } from './admin-settings.util';
import { PostfachResource } from './postfach/postfach.model';

describe('get postfach resource', () => {
  it('should return state resource with postfach resource if exists', () => {
    const postfachResource: PostfachResource = createPostfachResource();
    const settingsListResource: StateResource<SettingListResource> = createStateResource(
      createFilledSettingsListResource([postfachResource]),
    );

    const postfachStateResource: StateResource<PostfachResource> =
      getPostfachResource(settingsListResource);

    expect(postfachStateResource.resource).toEqual(postfachResource);
  });

  it('should return empty state resource if postfach resource NOT exists', () => {
    const settingsListResource: StateResource<SettingListResource> = createStateResource(
      createFilledSettingsListResource([]),
    );

    const postfachStateResource: StateResource<PostfachResource> =
      getPostfachResource(settingsListResource);

    expect(postfachStateResource).toEqual(createEmptyStateResource());
  });
});
