import { ListResource } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';

export interface AdminOrganisationsEinheit {
  name: string;
  organisationsEinheitId: string;
  syncResult: AdminOrganisationsEinheitSyncResult;
  settings?: AdminOrganisationsEinheitSettings;
  isChild?: boolean;
}

export enum AdminOrganisationsEinheitSyncResult {
  OK = 'OK',
  NOT_FOUND_IN_PVOG = 'NOT_FOUND_IN_PVOG',
  NAME_MISMATCH = 'NAME_MISMATCH',
  ORGANISATIONSEINHEIT_ID_NOT_UNIQUE = 'ORGANISATIONSEINHEIT_ID_NOT_UNIQUE',
  DELETED = 'DELETED',
}

export interface AdminOrganisationsEinheitSettings {
  signatur?: string;
}

export interface AdminOrganisationsEinheitResource extends AdminOrganisationsEinheit, Resource {}
export interface AdminOrganisationsEinheitListResource extends ListResource {}
export declare type AdminOrganisationsEinheitItemResource = Resource & AdminOrganisationsEinheit;
