import { StateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { OrganisationsEinheitListLinkRel } from '../organisations-einheit.linkrel';
import { AdminOrganisationsEinheitListResource } from '../organisations-einheit.model';
import { OrganisationsEinheitService } from '../organisationseinheit.service';

@Component({
  selector: 'admin-organisationseinheit-container',
  templateUrl: './organisationseinheit-container.component.html',
})
export class OrganisationsEinheitContainerComponent implements OnInit {
  organisationsEinheitListStateResource$: Observable<StateResource<AdminOrganisationsEinheitListResource>>;

  public readonly OrganisationsEinheitListLinkRel = OrganisationsEinheitListLinkRel;

  constructor(private organisationsEinheitService: OrganisationsEinheitService) {}

  ngOnInit(): void {
    this.organisationsEinheitListStateResource$ = this.organisationsEinheitService.getList();
  }
}
