import { StateResource } from '@alfa-client/tech-shared';
import { Component, inject, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { ROUTES } from '../../../../shared/libs/routes';
import { User } from '../user/user.model';
import { UserService } from './user.service';

@Component({
  selector: 'admin-users-roles',
  templateUrl: './users-roles.component.html',
})
export class UsersRolesComponent implements OnInit {
  private router = inject(Router);
  private userService = inject(UserService);

  public users$: Observable<StateResource<User[]>>;
  public readonly GROUPS_TO_DISPLAY = 3;

  ngOnInit() {
    this.users$ = this.userService.get();
  }

  navigateToAddUser(): void {
    this.router.navigate([ROUTES.BENUTZER_UND_ROLLEN_NEU]);
  }
}
