import { faker } from '@faker-js/faker';
import { times } from 'lodash-es';
import { toResource } from '../../../../tech-shared/test/resource';
import {
  AdminOrganisationsEinheit,
  AdminOrganisationsEinheitListResource,
  AdminOrganisationsEinheitResource,
  AdminOrganisationsEinheitSyncResult,
} from '../../src';
import { OrganisationsEinheitListLinkRel } from '../../src/lib/organisationseinheit/organisations-einheit.linkrel';

export function createAdminOrganisationsEinheit(): AdminOrganisationsEinheit {
  return {
    name: faker.lorem.word(),
    organisationsEinheitId: faker.lorem.word(),
    syncResult: AdminOrganisationsEinheitSyncResult.OK,
    settings: {
      signatur: faker.lorem.words(5),
    },
  };
}

export function createAdminOrganisationsEinheitResource(linkRel: string[] = []): AdminOrganisationsEinheitResource {
  return toResource(createAdminOrganisationsEinheit(), linkRel);
}

export function createAdminOrganisationsEinheitResources(linkRelations: string[] = []): AdminOrganisationsEinheitResource[] {
  return times(10, () => toResource(createAdminOrganisationsEinheit(), [...linkRelations]));
}

export function createAdminOrganisationsEinheitListResource(
  resources?: AdminOrganisationsEinheitResource[],
  linkRelations: string[] = [],
): AdminOrganisationsEinheitListResource {
  return toResource({}, [...linkRelations], {
    [OrganisationsEinheitListLinkRel.LIST]: resources ? resources : createAdminOrganisationsEinheitResources(),
  });
}
