import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { createFeatureSelector, createSelector, MemoizedSelector } from '@ngrx/store';
import { BESCHEID_FEATURE_KEY, BescheidState } from './bescheid.reducer';

export const getBescheidState: MemoizedSelector<object, BescheidState> =
  createFeatureSelector<BescheidState>(BESCHEID_FEATURE_KEY);

export const bescheidCommand: MemoizedSelector<
  BescheidState,
  StateResource<CommandResource>
> = createSelector(getBescheidState, (state: BescheidState) => state.bescheidCommand);
