import { HttpError, ListResource } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';

export enum BescheidStatus {
  DRAFT = 'DRAFT',
  SENT = 'SENT',
}

export interface Bescheid {
  status: BescheidStatus;
  beschiedenAm: string;
  bewilligt: boolean | string;
  sendBy?: BescheidSendBy;
  bescheidDocument?: string;
  attachments?: string[];
  nachrichtText?: string;
  nachrichtSubject?: string;
}

export interface BescheidResource extends Bescheid, Resource {}

export enum BescheidSendBy {
  MANUAL = 'MANUAL',
  NACHRICHT = 'NACHRICHT',
}

export interface BescheidListResource extends ListResource {}

export interface UploadFileInProgress {
  loading: boolean;
  fileName?: string;
  error?: HttpError;
}

export enum BescheidWizardStep {
  AntragBescheiden = 1,
  DokumenteHochladen = 2,
  BescheidVersenden = 3,
}

export interface BescheidWizardDialogResult {
  reloadVorgang: boolean;
}
