import { BescheidResource } from '@alfa-client/bescheid-shared';
import { BinaryFileResource } from '@alfa-client/binary-file-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-bescheid-in-vorgang',
  templateUrl: './bescheid-in-vorgang.component.html',
})
export class BescheidInVorgangComponent {
  @Input() bescheidStateResource: StateResource<BescheidResource>;
  @Input() bescheidDocumentFile: StateResource<BinaryFileResource>;
  @Input() hasBescheidDraft: boolean = false;

  get bescheidBewilligt(): boolean {
    return <boolean>this.bescheidStateResource.resource.bewilligt;
  }

  get bescheidAbgelehnt(): boolean {
    return !this.bescheidBewilligt;
  }
}
