import { BescheidService } from '@alfa-client/bescheid-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnInit } from '@angular/core';
import { ResourceUri } from '@ngxp/rest';
import { DocumentLinkRel } from 'libs/bescheid-shared/src/lib/document.linkrel';
import { DocumentResource } from 'libs/bescheid-shared/src/lib/document.model';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-document-in-bescheid-container',
  templateUrl: './document-in-bescheid-container.component.html',
})
export class DocumentInBescheidContainerComponent implements OnInit {
  @Input() documentUri: ResourceUri;

  public documentStateResource$: Observable<StateResource<DocumentResource>>;

  public readonly documentLinkRel = DocumentLinkRel;

  constructor(private bescheidService: BescheidService) {}

  ngOnInit(): void {
    this.documentStateResource$ = this.bescheidService.loadBescheidDocument(this.documentUri);
  }
}
