import { BescheidService } from '@alfa-client/bescheid-shared';
import { CommandResource, tapOnCommandSuccessfullyDone } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { createDialogResult } from '@alfa-client/ui';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { DIALOG_DATA, DialogRef } from '@angular/cdk/dialog';
import { Component, Inject } from '@angular/core';
import { Observable } from 'rxjs';

export interface AbschliessenDialogData {
  vorgangWithEingangResource: VorgangWithEingangResource;
}

@Component({
  selector: 'alfa-bescheid-wizard-abschliessen-dialog-container',
  templateUrl: './bescheid-wizard-abschliessen-dialog-container.component.html',
})
export class BescheidWizardAbschliessenDialogContainerComponent {
  public abschliessen$: Observable<StateResource<CommandResource>>;

  constructor(
    @Inject(DIALOG_DATA) private readonly dialogData: AbschliessenDialogData,
    private readonly dialogRef: DialogRef,
    private readonly bescheidService: BescheidService,
  ) {}

  public onClose(): void {
    this.dialogRef.close();
  }

  public onConfirm(): void {
    this.abschliessen$ = this.bescheidService
      .bescheidErstellungUeberspringen(this.dialogData.vorgangWithEingangResource)
      .pipe(
        tapOnCommandSuccessfullyDone((commandStateResource: StateResource<CommandResource>) =>
          this.dialogRef.close(createDialogResult(commandStateResource)),
        ),
      );
  }
}
