import { BescheidResource, BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { StateResource, isLoaded } from '@alfa-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { BescheidFormService } from '../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard',
  templateUrl: './bescheid-wizard.component.html',
})
export class BescheidWizardComponent {
  @Input() vorgangWithEingangResource: VorgangWithEingangResource;

  @Input() set bescheidStateResource(value: StateResource<BescheidResource>) {
    if (isLoaded(value)) {
      this.formService.patchValues(value.resource);
    }
    this._bescheidStateResource = value;
  }

  get bescheidStateResource(): StateResource<BescheidResource> {
    return this._bescheidStateResource;
  }

  @Input() activeStep: number;
  @Input() submitStateResource: StateResource<Resource>;

  @Output() weiterClickEmitter: EventEmitter<BescheidWizardStep> = new EventEmitter<BescheidWizardStep>();
  @Output() vorgangAbgeschlossen: EventEmitter<void> = new EventEmitter<void>();

  private _bescheidStateResource: StateResource<BescheidResource>;

  public readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;
  public readonly bescheidWizardStep = BescheidWizardStep;

  constructor(public readonly formService: BescheidFormService) {}
}
