import { BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { getElementFromFixtureByType } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { BescheidWizardAntragBescheidenSummaryComponent } from '../antrag-bescheiden/summary/bescheid-wizard-antrag-bescheiden-summary.component';
import { BescheidWizardStepTitleComponent } from '../step-title/bescheid-wizard-step-title.component';
import { BescheidWizardStepperComponent } from '../stepper/bescheid-wizard-stepper.component';
import { BescheidWizardSummaryComponent } from '../summary/bescheid-wizard-summary.component';
import { BescheidWizardDokumenteHochladenComponent } from './bescheid-wizard-dokumente-hochladen.component';
import { BescheidWizardDokumenteHochladenFormComponent } from './form/bescheid-wizard-dokumente-hochladen-form.component';
import { BescheidWizardDokumenteHochladenSummaryComponent } from './summary/bescheid-wizard-dokumente-hochladen-summary.component';

describe('BescheidWizardDokumenteHochladenComponent', () => {
  let component: BescheidWizardDokumenteHochladenComponent;
  let fixture: ComponentFixture<BescheidWizardDokumenteHochladenComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        BescheidWizardDokumenteHochladenComponent,
        MockComponent(BescheidWizardSummaryComponent),
        MockComponent(BescheidWizardAntragBescheidenSummaryComponent),
        MockComponent(BescheidWizardDokumenteHochladenSummaryComponent),
        MockComponent(BescheidWizardStepTitleComponent),
        MockComponent(BescheidWizardDokumenteHochladenFormComponent),
        MockComponent(BescheidWizardStepperComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(BescheidWizardDokumenteHochladenComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('alfa-bescheid-wizard-stepper', () => {
      function getElementComponent(): BescheidWizardStepperComponent {
        return getElementFromFixtureByType(fixture, BescheidWizardStepperComponent);
      }

      describe('input', () => {
        it('should set activeStep', () => {
          fixture.detectChanges();

          expect(getElementComponent().activeStep).toBe(BescheidWizardStep.DokumenteHochladen);
        });
      });
    });

    describe('alfa-bescheid-wizard-step-title', () => {
      function getElementComponent(): BescheidWizardStepTitleComponent {
        return getElementFromFixtureByType(fixture, BescheidWizardStepTitleComponent);
      }

      describe('input', () => {
        it('should set inactiveStep', () => {
          fixture.detectChanges();

          expect(getElementComponent().inactiveStep).toBeTruthy();
        });
      });
    });
  });
});
