import { BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-bescheid-wizard-step',
  templateUrl: './bescheid-wizard-step.component.html',
})
export class BescheidWizardStepComponent {
  @Input() step: BescheidWizardStep;
  @Input() activeStep: BescheidWizardStep;

  @Output() stepChange: EventEmitter<BescheidWizardStep> = new EventEmitter<BescheidWizardStep>();

  public readonly bescheidWizardStep = BescheidWizardStep;

  public clickHandler(step: BescheidWizardStep): void {
    if (this.isPrevious()) {
      this.stepChange.emit(step);
    }
  }

  public isActive(): boolean {
    return this.step === this.activeStep;
  }

  public isPrevious(): boolean {
    return this.step < this.activeStep;
  }

  public isNext(): boolean {
    return this.step > this.activeStep;
  }
}
