import { BescheidSharedModule } from '@alfa-client/bescheid-shared';
import { BinaryFileModule } from '@alfa-client/binary-file';
import { CommandSharedModule } from '@alfa-client/command-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { BescheidInVorgangContainerComponent } from './bescheid-in-vorgang-container/bescheid-in-vorgang-container.component';
import { BescheidInVorgangComponent } from './bescheid-in-vorgang-container/bescheid-in-vorgang/bescheid-in-vorgang.component';
import { BescheidListInVorgangContainerComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang-container.component';
import { BescheidListInVorgangComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang/bescheid-list-in-vorgang.component';
import { DocumentInBescheidContainerComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang/document-in-bescheid-container/document-in-bescheid-container.component';
import { BeschiedenDateContainerComponent } from './beschieden-date-in-vorgang-container/beschieden-date-container/beschieden-date-container.component';
import { BeschiedenDateInVorgangContainerComponent } from './beschieden-date-in-vorgang-container/beschieden-date-in-vorgang-container.component';

import { ButtonWithSpinnerComponent } from '@ods/component';
import {
  BescheidStatusTextComponent,
  BescheidWrapperComponent,
  ButtonComponent,
  CloseIconComponent,
  RadioButtonCardComponent,
  StampIconComponent,
} from '@ods/system';
import { BescheidWizardContainerComponent } from './bescheid-wizard-container/bescheid-wizard-container.component';
import { BescheidWizardAbschliessenButtonComponent } from './bescheid-wizard-container/bescheid-wizard/abschliessen-button/bescheid-wizard-abschliessen-button.component';
import { BescheidWizardAbschliessenDialogContainerComponent } from './bescheid-wizard-container/bescheid-wizard/abschliessen-dialog-container/bescheid-wizard-abschliessen-dialog-container.component';
import { BescheidWizardAntragBescheidenComponent } from './bescheid-wizard-container/bescheid-wizard/antrag-bescheiden/bescheid-wizard-antrag-bescheiden.component';
import { BescheidWizardAntragBescheidenFormComponent } from './bescheid-wizard-container/bescheid-wizard/antrag-bescheiden/form/bescheid-wizard-antrag-bescheiden-form.component';
import { BescheidWizardAntragBescheidenSummaryComponent } from './bescheid-wizard-container/bescheid-wizard/antrag-bescheiden/summary/bescheid-wizard-antrag-bescheiden-summary.component';
import { BescheidWizardComponent } from './bescheid-wizard-container/bescheid-wizard/bescheid-wizard.component';
import { BescheidWizardCancelDialogContainerComponent } from './bescheid-wizard-container/bescheid-wizard/cancel-dialog-container/bescheid-wizard-cancel-dialog-container.component';
import { BescheidWizardDokumenteHochladenComponent } from './bescheid-wizard-container/bescheid-wizard/dokumente-hochladen/bescheid-wizard-dokumente-hochladen.component';
import { BescheidWizardDokumenteHochladenFormComponent } from './bescheid-wizard-container/bescheid-wizard/dokumente-hochladen/form/bescheid-wizard-dokumente-hochladen-form.component';
import { BescheidWizardDokumenteHochladenSummaryComponent } from './bescheid-wizard-container/bescheid-wizard/dokumente-hochladen/summary/bescheid-wizard-dokumente-hochladen-summary.component';
import { BescheidWizardStepTitleComponent } from './bescheid-wizard-container/bescheid-wizard/step-title/bescheid-wizard-step-title.component';
import { BescheidWizardStepperComponent } from './bescheid-wizard-container/bescheid-wizard/stepper/bescheid-wizard-stepper.component';
import { BescheidWizardStepComponent } from './bescheid-wizard-container/bescheid-wizard/stepper/step/bescheid-wizard-step.component';
import { BescheidWizardSummaryComponent } from './bescheid-wizard-container/bescheid-wizard/summary/bescheid-wizard-summary.component';
import { BescheidWizardWeiterButtonComponent } from './bescheid-wizard-container/bescheid-wizard/weiter-button/bescheid-wizard-weiter-button.component';

@NgModule({
  imports: [
    CommonModule,
    BescheidSharedModule,
    BinaryFileModule,
    TechSharedModule,
    UiModule,
    CommandSharedModule,
    BescheidStatusTextComponent,
    BescheidWrapperComponent,
    StampIconComponent,
    CloseIconComponent,
    ButtonWithSpinnerComponent,
    RadioButtonCardComponent,
    ButtonComponent,
  ],
  declarations: [
    BescheidInVorgangContainerComponent,
    BescheidInVorgangComponent,
    BescheidListInVorgangContainerComponent,
    BescheidListInVorgangComponent,
    DocumentInBescheidContainerComponent,
    BeschiedenDateContainerComponent,
    BeschiedenDateInVorgangContainerComponent,
    BescheidWizardContainerComponent,
    BescheidWizardComponent,
    BescheidWizardStepComponent,
    BescheidWizardStepperComponent,
    BescheidWizardStepTitleComponent,
    BescheidWizardSummaryComponent,
    BescheidWizardWeiterButtonComponent,
    BescheidWizardCancelDialogContainerComponent,
    BescheidWizardAntragBescheidenComponent,
    BescheidWizardAntragBescheidenFormComponent,
    BescheidWizardAntragBescheidenSummaryComponent,
    BescheidWizardDokumenteHochladenComponent,
    BescheidWizardDokumenteHochladenFormComponent,
    BescheidWizardDokumenteHochladenSummaryComponent,
    BescheidWizardAbschliessenButtonComponent,
    BescheidWizardAbschliessenDialogContainerComponent,
  ],
  exports: [
    BescheidInVorgangContainerComponent,
    BescheidListInVorgangContainerComponent,
    BeschiedenDateInVorgangContainerComponent,
  ],
})
export class BescheidModule {}
