import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input, OnInit } from '@angular/core';
import { CollaborationListResource } from 'libs/collaboration-shared/src/lib/collaboration.model';
import { CollaborationService } from 'libs/collaboration-shared/src/lib/collaboration.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-collaboration-in-vorgang-container',
  templateUrl: './collaboration-in-vorgang-container.component.html',
})
export class CollaborationInVorgangContainerComponent implements OnInit {
  @Input() public vorgang: VorgangWithEingangResource;

  public collaborationStateListResource$: Observable<StateResource<CollaborationListResource>>;
  public showOrganisationsEinheitAnfrageButton$: Observable<boolean>;
  public showExterneFachstelleAnfrageButton$: Observable<boolean>;

  constructor(private readonly service: CollaborationService) {}

  ngOnInit(): void {
    this.collaborationStateListResource$ = this.service.getList();
    this.showOrganisationsEinheitAnfrageButton$ = this.service.showOrganisationsEinheitAnfrageButton();
    this.showExterneFachstelleAnfrageButton$ = this.service.showExterneFachstelleAnfrageButton();
  }
}
