import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { FieldsetComponent } from './fieldset.component';

describe('FieldsetComponent', () => {
  let component: FieldsetComponent;
  let fixture: ComponentFixture<FieldsetComponent>;

  const legend = getDataTestIdOf('fieldset-legend');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [FieldsetComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(FieldsetComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('legend element', () => {
      it('should show', () => {
        component.legend = 'Test';
        fixture.detectChanges();

        existsAsHtmlElement(fixture, legend);
      });
      it('should hide', () => {
        component.legend = '';
        fixture.detectChanges();

        notExistsAsHtmlElement(fixture, legend);
      });
    });
  });
});
