import { ReactiveFormsModule } from '@angular/forms';
import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { TextInputComponent } from './text-input.component';

const meta: Meta<TextInputComponent> = {
  title: 'Text input',
  component: TextInputComponent,
  decorators: [
    moduleMetadata({
      imports: [TextInputComponent, ReactiveFormsModule],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<TextInputComponent>;

export const Default: Story = {
  args: {
    label: 'This is text input',
    placeholder: 'Input your text',
    variant: 'default',
    required: false,
  },
  argTypes: {
    variant: {
      control: 'radio',
      options: ['default', 'error'],
      table: { defaultValue: { summary: 'default' } },
    },
    required: { table: { defaultValue: { summary: 'false' } } },
  },
};
