import { ReactiveFormsModule } from '@angular/forms';
import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { TextareaComponent } from './textarea.component';

const meta: Meta<TextareaComponent> = {
  title: 'Text area',
  component: TextareaComponent,
  decorators: [
    moduleMetadata({
      imports: [TextareaComponent, ReactiveFormsModule],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<TextareaComponent>;

export const Default: Story = {
  args: {
    label: 'This is text area',
    placeholder: 'Input your text',
    variant: 'default',
    required: false,
    rows: 3,
  },
  argTypes: {
    variant: {
      control: 'radio',
      options: ['default', 'error'],
      table: { defaultValue: { summary: 'default' } },
    },
    rows: { table: { defaultValue: { summary: '3' } } },
    required: { table: { defaultValue: { summary: 'false' } } },
  },
};
