import { APP_BASE_HREF } from '@angular/common';
import { importProvidersFrom } from '@angular/core';
import { RouterModule } from '@angular/router';
import { applicationConfig, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';
import { OfficeIconComponent } from '../../icons/office-icon/office-icon.component';
import { NavItemComponent } from '../nav-item/nav-item.component';
import { NavbarComponent } from './navbar.component';

const meta: Meta<NavbarComponent> = {
  title: 'Navbar',
  component: NavbarComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
  decorators: [
    applicationConfig({
      providers: [importProvidersFrom(RouterModule.forRoot([]))],
    }),
    moduleMetadata({
      imports: [NavItemComponent, OfficeIconComponent],
      providers: [
        {
          provide: APP_BASE_HREF,
          useValue: '/',
        },
      ],
    }),
  ],
};

export default meta;
type Story = StoryObj<NavbarComponent>;

export const Default: Story = {
  args: {},
  render: () => ({
    template: `<ods-navbar>
      <ods-nav-item caption="First link" path="/"><ods-office-icon icon /></ods-nav-item>
      <ods-nav-item caption="Second link" path="/second"><ods-office-icon icon /></ods-nav-item>
      <hr />
      <ods-nav-item caption="Third link" path="/third"><ods-office-icon icon /></ods-nav-item>
    </ods-navbar>`,
  }),
};
