import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { Store } from '@ngrx/store';
import { Subject } from 'rxjs';
import { HintFacade } from './hint.facade';

import * as HintSelectors from './hint.selectors';

describe('HintFacade', () => {
  let facade: HintFacade;
  let store: Mock<Store>;

  let selectionSubject: Subject<any>;

  beforeEach(() => {
    store = mock(Store);

    store.select.mockReturnValue(selectionSubject);
    store.dispatch = jest.fn();

    facade = new HintFacade(useFromMock(<any>store));
  });

  it('is initialized', () => {
    expect(facade).toBeTruthy();
  });

  describe('hasUserNoOrganisationsEinheitIdHint', () => {
    it('should select from store', () => {
      facade.hasUserNoOrganisationsEinheitIdHint();

      expect(store.select).toHaveBeenCalledWith(HintSelectors.hasUserNoOrganisationsEinheitIdHint);
    });
  });
});
