import { Component, Input, OnInit } from '@angular/core';
import { CommandOrder, CommandResource } from '@alfa-client/command-shared';
import { CommandLinkRel } from 'libs/command-shared/src/lib/command.linkrel';
import { isEmpty, isNull } from 'lodash-es';
import { hasContent } from '@alfa-client/tech-shared';

@Component({
  selector: 'alfa-historie-item-aktenzeichen',
  templateUrl: './historie-item-aktenzeichen.component.html',
  styleUrls: ['./historie-item-aktenzeichen.component.scss'],
})
export class HistorieItemAktenzeichenComponent implements OnInit {
  @Input() command: CommandResource;

  headline: string;
  aktenzeichenDeleted = false;

  get aktenzeichen(): any {
    return this.command.body.aktenzeichen;
  }

  ngOnInit(): void {
    this.aktenzeichenDeleted = isEmpty(this.aktenzeichen);
    this.setHeadline();
  }

  setHeadline(): void {
    if (this.aktenzeichenDeleted) {
      this.headline = 'das Aktenzeichen gelöscht.';
    } else {
      this.headline = HISTORIE_TEXT_BY_KOMMENTAR_ORDER[this.command.order];
    }
  }
}

const HISTORIE_TEXT_BY_KOMMENTAR_ORDER: { [order: string]: string } = {
  [CommandOrder.SET_AKTENZEICHEN]: 'das Aktenzeichen geändert.',
};
