import { Bescheid } from '@alfa-client/bescheid-shared';
import { CommandOrder, CommandResource } from '@alfa-client/command-shared';
import { StringBasedKeyMap } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'alfa-historie-item-bescheid',
  templateUrl: './historie-item-bescheid.component.html',
  styleUrls: ['./historie-item-bescheid.component.scss'],
})
export class HistorieItemBescheidComponent {
  @Input() command: CommandResource;

  headline: string;
  hasBody: boolean = true;

  get bescheid(): Bescheid {
    return this.command.body;
  }

  ngOnInit(): void {
    this.headline = HISTORIE_TEXT_BY_BESCHEID_ORDER[this.command.order];
    this.hasBody = this.hasCommandBody();
  }

  private hasCommandBody(): boolean {
    return this.command.order == CommandOrder.UPDATE_BESCHEID;
  }
}

const HISTORIE_TEXT_BY_BESCHEID_ORDER: StringBasedKeyMap<string> = {
  [CommandOrder.SEND_BESCHEID]: 'einen Bescheid per Nachricht verschickt.',
  [CommandOrder.UPDATE_BESCHEID]: 'einen Bescheid erstellt.',
};
