import { ComponentFixture, TestBed } from '@angular/core/testing';
import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import {
  IconButtonWithSpinnerComponent,
  OzgcloudStrokedButtonWithSpinnerComponent,
} from '@alfa-client/ui';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { EndgueltigLoeschenButtonComponent } from './endgueltig-loeschen-button.component';

describe('EndgueltigLoeschenButtonComponent', () => {
  let component: EndgueltigLoeschenButtonComponent;
  let fixture: ComponentFixture<EndgueltigLoeschenButtonComponent>;

  const endgueltigLoeschenButton = getDataTestIdOf('endgueltig-loeschen-button');
  const endgueltigLoeschenIconButton = getDataTestIdOf('endgueltig-loeschen-icon-button');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        EndgueltigLoeschenButtonComponent,
        MockComponent(OzgcloudStrokedButtonWithSpinnerComponent),
        MockComponent(IconButtonWithSpinnerComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(EndgueltigLoeschenButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('button with spinner', () => {
    it('should be hidden', () => {
      component.showAsIconButton = true;

      fixture.detectChanges();

      notExistsAsHtmlElement(fixture, endgueltigLoeschenButton);
    });

    it('should be visible', () => {
      component.showAsIconButton = false;

      fixture.detectChanges();

      existsAsHtmlElement(fixture, endgueltigLoeschenButton);
    });
  });

  describe('icon button with spinner', () => {
    it('should be hidden', () => {
      component.showAsIconButton = false;

      fixture.detectChanges();

      notExistsAsHtmlElement(fixture, endgueltigLoeschenIconButton);
    });

    it('should be visible', () => {
      component.showAsIconButton = true;

      fixture.detectChanges();

      existsAsHtmlElement(fixture, endgueltigLoeschenIconButton);
    });
  });
});
