import { PostfachMailFormDialogData, PostfachMailResource } from '@alfa-client/postfach-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { DialogService } from '@alfa-client/ui';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { getEmpfaenger } from '@alfa-client/vorgang-shared-ui';
import { Component, Input } from '@angular/core';
import { PostfachMailFormComponent } from '../../../../../postfach-mail-form/postfach-mail-form.component';

@Component({
  selector: 'alfa-postfach-nachricht-edit-button-container',
  templateUrl: './postfach-nachricht-edit-button-container.component.html',
  styleUrls: ['./postfach-nachricht-edit-button-container.component.scss'],
})
export class PostfachNachrichtEditButtonContainerComponent {
  @Input() postfachNachricht: PostfachMailResource;
  @Input() vorgangStateResource: StateResource<VorgangWithEingangResource>;

  constructor(private dialogService: DialogService) {}

  public edit(): void {
    this.dialogService.openFixed(this.buildDialogData());
  }

  buildDialogData(): PostfachMailFormDialogData {
    return {
      title: 'Nachricht bearbeiten',
      component: PostfachMailFormComponent,
      postfachNachricht: this.postfachNachricht,
      empfaenger: getEmpfaenger(this.vorgangStateResource.resource),
    };
  }
}
