import { createKeydownKeyboardEvent } from '../../../test-utils/src/lib/keyboard';
import {
  ARROW_DOWN_KEY,
  ARROW_UP_KEY,
  ENTER_KEY,
  ESCAPE_KEY,
  isArrowDownKey,
  isArrowUpKey,
  isEnterKey,
  isEscapeKey,
} from './keyboard.util';

describe('keyboard', () => {
  describe('isEscapeKey', () => {
    it('should return true', () => {
      const isEscape: boolean = isEscapeKey(createKeydownKeyboardEvent(ESCAPE_KEY));

      expect(isEscape).toBeTruthy();
    });

    it('should return false', () => {
      const isEscape: boolean = isEscapeKey(createKeydownKeyboardEvent(ENTER_KEY));

      expect(isEscape).toBeFalsy();
    });
  });

  describe('isEnterKey', () => {
    it('should return true', () => {
      const isEnter: boolean = isEnterKey(createKeydownKeyboardEvent(ENTER_KEY));

      expect(isEnter).toBeTruthy();
    });

    it('should return false', () => {
      const isEnter: boolean = isEnterKey(createKeydownKeyboardEvent(ESCAPE_KEY));

      expect(isEnter).toBeFalsy();
    });
  });
  describe('isArrowUpKey', () => {
    it('should return true', () => {
      const isArrowUp: boolean = isArrowUpKey(createKeydownKeyboardEvent(ARROW_UP_KEY));

      expect(isArrowUp).toBeTruthy();
    });

    it('should return false', () => {
      const isArrowUp: boolean = isArrowUpKey(createKeydownKeyboardEvent(ESCAPE_KEY));

      expect(isArrowUp).toBeFalsy();
    });
  });
  describe('isArrowDownKey', () => {
    it('should return true', () => {
      const isArrowDown: boolean = isArrowDownKey(createKeydownKeyboardEvent(ARROW_DOWN_KEY));

      expect(isArrowDown).toBeTruthy();
    });

    it('should return false', () => {
      const isEnter: boolean = isArrowDownKey(createKeydownKeyboardEvent(ESCAPE_KEY));

      expect(isEnter).toBeFalsy();
    });
  });
});
