import { Mock, mock } from '@alfa-client/test-utils';
import { Observable, Subscription } from 'rxjs';

export function createSubscribedObservableMock<T>(): [Mock<Observable<T>>, Mock<Subscription>] {
  const observableMock: Mock<Observable<T>> = mock(Observable<T>);
  observableMock.pipe.mockReturnValue(observableMock);
  const subscription: Mock<Subscription> = mock(Subscription);
  observableMock.subscribe.mockReturnValue(subscription);
  return [observableMock, subscription];
}
