import { CommandResource, isSuccessfulDone } from '@alfa-client/command-shared';
import {
  StateResource,
  createEmptyStateResource,
  isEmptyStateResource,
} from '@alfa-client/tech-shared';

export class OzgcloudDialogCommandResult<D = unknown> {
  stateResource: StateResource<CommandResource>;
  data?: D;
}

export function createDialogCancelResult(): OzgcloudDialogCommandResult {
  return { stateResource: createEmptyStateResource() };
}

export function createDialogResult(
  stateResource: StateResource<CommandResource>,
): OzgcloudDialogCommandResult {
  return { stateResource };
}

export function isDialogCanceled(dialogResult?: OzgcloudDialogCommandResult): boolean {
  return dialogResult && isEmptyStateResource(dialogResult.stateResource);
}

export function isDialogSuccessfullyCompleted(dialogResult?: OzgcloudDialogCommandResult): boolean {
  return dialogResult && isSuccessfulDone(dialogResult.stateResource?.resource);
}
