import { BescheidLinkRel, BescheidResource, BescheidService } from '@alfa-client/bescheid-shared';
import { CommandResource, isSuccessfulDone } from '@alfa-client/command-shared';
import { createEmptyStateResource, StateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { Observable, of, tap } from 'rxjs';
import { BescheidenFormService } from '../../../../bescheiden.formservice';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-bescheid-automatisch-erstellen',
  templateUrl: './vorgang-detail-bescheiden-bescheid-automatisch-erstellen.component.html',
})
export class VorgangDetailBescheidenBescheidAutomatischErstellenComponent {
  @Input() public bescheidDraftStateResource: StateResource<BescheidResource>;

  public createBescheidDocumentInProgress$: Observable<StateResource<CommandResource>> = of(
    createEmptyStateResource<CommandResource>(),
  );

  public readonly bescheidLinkRel = BescheidLinkRel;

  constructor(
    private readonly bescheidService: BescheidService,
    private readonly formService: BescheidenFormService,
  ) {}

  public createBescheidDocument(): void {
    this.createBescheidDocumentInProgress$ = this.bescheidService.createBescheidDocument().pipe(
      tap((commandStateResource: StateResource<CommandResource>) => {
        if (isSuccessfulDone(commandStateResource.resource)) {
          this.formService.clearNachricht();
        }
      }),
    );
  }
}
