import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenStepTitleComponent } from '../../vorgang-detail-bescheiden-step-title/vorgang-detail-bescheiden-step-title.component';
import { VorgangDetailBescheidenWeiterButtonComponent } from '../../vorgang-detail-bescheiden-weiter-button/vorgang-detail-bescheiden-weiter-button.component';
import { VorgangDetailBescheidenStepContentComponent } from './vorgang-detail-bescheiden-step-content.component';

describe('VorgangDetailBescheidenStepsContentComponent', () => {
  let component: VorgangDetailBescheidenStepContentComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenStepContentComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenStepContentComponent,
        MockComponent(VorgangDetailBescheidenWeiterButtonComponent),
        MockComponent(VorgangDetailBescheidenStepTitleComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenStepContentComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('shouldShowStep', () => {
    it('should return true', () => {
      component.activeStep = 2;
      component.step = 2;

      const shouldShowStep = component.shouldShowStep();

      expect(shouldShowStep).toBeTruthy();
    });

    it('should return false', () => {
      component.activeStep = 2;
      component.step = 3;

      const shouldShowStep = component.shouldShowStep();

      expect(shouldShowStep).toBeFalsy();
    });
  });

  describe('shouldShowStepContent', () => {
    it('should return true', () => {
      component.activeStep = 2;
      component.step = 2;

      const shouldShowStep = component.shouldShowStepContent();

      expect(shouldShowStep).toBeTruthy();
    });

    it('should return false', () => {
      component.activeStep = 2;
      component.step = 1;

      const shouldShowStep = component.shouldShowStepContent();

      expect(shouldShowStep).toBeFalsy();
    });
  });
});
