import { Mock, mock } from '@alfa-client/test-utils';
import { OzgcloudDialogService } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { VorgangDetailBescheidenUeberspringenDialogComponent } from '../vorgang-detail-bescheiden-ueberspringen-dialog/vorgang-detail-bescheiden-ueberspringen-dialog.component';
import { VorgangDetailBescheidenUeberspringenButtonComponent } from './vorgang-detail-bescheiden-ueberspringen-button.component';

describe('VorgangDetailBescheidenUeberspringenButtonComponent', () => {
  let component: VorgangDetailBescheidenUeberspringenButtonComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenUeberspringenButtonComponent>;

  let ozgcloudDialogService: Mock<OzgcloudDialogService>;

  beforeEach(async () => {
    ozgcloudDialogService = mock(OzgcloudDialogService);

    await TestBed.configureTestingModule({
      declarations: [VorgangDetailBescheidenUeberspringenButtonComponent],
      providers: [
        {
          provide: OzgcloudDialogService,
          useValue: ozgcloudDialogService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenUeberspringenButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('onClick', () => {
    it('should open dialog', () => {
      component.onClick();

      expect(ozgcloudDialogService.open).toHaveBeenCalledWith(
        VorgangDetailBescheidenUeberspringenDialogComponent,
      );
    });
  });
});
