import { OzgcloudDialogService } from '@alfa-client/ui';
import { Component, Input, ViewContainerRef } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { SearchZustaendigeStelleDialogComponent } from '../search-zustaendige-stelle-dialog/search-zustaendige-stelle-dialog.component';

@Component({
  selector: 'alfa-zustaendige-stelle-button',
  templateUrl: './zustaendige-stelle-button.component.html',
})
export class ZustaendigeStelleButtonComponent<T extends Resource> {
  @Input() public dataTestId: string;
  @Input() title: string;

  constructor(
    private readonly dialogService: OzgcloudDialogService,
    readonly viewContainerRef: ViewContainerRef,
  ) {}

  public openSearchDialog(): void {
    this.dialogService.openFullScreenDialog<SearchZustaendigeStelleDialogComponent<T>>(
      SearchZustaendigeStelleDialogComponent,
      this.viewContainerRef,
      this.title,
    );
  }
}
