package de.ozgcloud.alfa;

import java.time.Instant;
import java.util.Objects;

import org.springframework.boot.info.BuildProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;

@Builder
@AllArgsConstructor
public class Root {

	private BuildProperties buildProperties;
	private boolean production;

	public String getVersion() {
		return Objects.isNull(buildProperties) ? "--" : buildProperties.getVersion();
	}

	public Instant getBuildTime() {
		return Objects.isNull(buildProperties) ? null : buildProperties.getTime();
	}

	public String getJavaVersion() {
		return System.getProperty("java.version");
	}

	public boolean getProduction() {
		return production;
	}
}
