package de.ozgcloud.alfa.attachment;

import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Objects;

import de.ozgcloud.alfa.common.binaryfile.FileId;

public class AttachmentMapper {

	public static List<FileId> mapAttachments(Object attachments) {
		if (Objects.isNull(attachments)) {
			return Collections.emptyList();
		}

		if (attachments instanceof Collection<?> attachmentList) {
			return attachmentList.stream().map(String::valueOf).map(FileId::from).toList();
		}
		return Collections.singletonList(FileId.from((String) attachments));
	}
}
