package de.ozgcloud.alfa.collaboration;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import jakarta.annotation.Nonnull;

import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.ModelBuilder;

@Component
class FachstelleModelAssembler
		implements RepresentationModelAssembler<Fachstelle, EntityModel<Fachstelle>> {

	@Override
	public EntityModel<Fachstelle> toModel(@Nonnull Fachstelle entity) {
		return ModelBuilder.fromEntity(entity)
				.addLink(linkTo(FachstelleController.class).slash(entity.getId()).withSelfRel())
				.buildModel();
	}

	@Override
	public CollectionModel<EntityModel<Fachstelle>> toCollectionModel(Iterable<? extends Fachstelle> entities) {
		return RepresentationModelAssembler.super.toCollectionModel(entities)
				.add(linkTo(FachstelleController.class).withSelfRel());
	}
}
