package de.ozgcloud.alfa.collaboration;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcAnschrift;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit.Builder;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcZustaendigkeit;

public class GrpcOrganisationsEinheitTestFactory {
	public static final String ID = OrganisationsEinheitHeaderTestFactory.ID;
	public static final GrpcXzufiId XZUFI_ID = GrpcXzufiIdTestFactory.create();
	public static final String NAME = OrganisationsEinheitHeaderTestFactory.NAME;
	public static final String SYNONYME = LoremIpsum.getInstance().getWords(5);
	public static final String VORGANG_MANAGER_ADDRESS = LoremIpsum.getInstance().getUrl();
	public static final GrpcAnschrift ANSCHRIFT = GrpcAnschriftTestFactory.create();
	public static final GrpcZustaendigkeit ZUSTAENDIGKEIT = GrpcZustaendigkeitTestFactory.create();

	public static GrpcOrganisationsEinheit create() {
		return createBuilder().build();
	}

	public static GrpcOrganisationsEinheit createWithoutSynonyme() {
		return createBuilderWithoutSynonyme()
				.build();
	}

	public static Builder createBuilder() {
		return createBuilderWithoutSynonyme()
				.setSynonyme(SYNONYME);
	}

	public static Builder createBuilderWithoutSynonyme() {
		return GrpcOrganisationsEinheit.newBuilder()
				.setId(ID)
				.setName(NAME)
				.setAnschrift(ANSCHRIFT)
				.setVorgangManagerAddress(VORGANG_MANAGER_ADDRESS)
				.addZustaendigkeiten(ZUSTAENDIGKEIT)
				.setXzufiId(XZUFI_ID);
	}

}
