package de.ozgcloud.alfa.common.command;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.EnumSource;
import org.junit.jupiter.params.provider.EnumSource.Mode;

class CommandOrderTest {
	@Nested
	class TestGetOrder {
		@ParameterizedTest
		@EnumSource(mode = Mode.EXCLUDE, names = { "UNBEKANNT" })
		void shouldReturnCommandOrder(CommandOrder order) {
			var resultOrder = CommandOrder.fromOrder(order.name());

			assertThat(resultOrder).isEqualTo(order);
		}

		@Test
		void shouldReturnUnknown() {
			var resultOrder = CommandOrder.fromOrder("SOME_UNKNOWN_ORDER");

			assertThat(resultOrder).isEqualTo(CommandOrder.UNBEKANNT);
		}
	}
}
