package de.ozgcloud.alfa.common.user;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.user.userprofile.GrpcUserProfile;

class UserProfileMapperTest {

	private UserProfileMapper mapper = Mappers.getMapper(UserProfileMapper.class);

	@DisplayName("Map from")
	@Nested
	class TestMapFrom {

		@Test
		void shouldMapFirstName() {
			var userProfile = map();

			assertThat(userProfile.getFirstName()).isEqualTo(UserProfileTestFactory.FIRSTNAME);
		}

		@Test
		void shouldMapLastName() {
			var userProfile = map();

			assertThat(userProfile.getLastName()).isEqualTo(UserProfileTestFactory.LASTNAME);
		}

		@Test
		void shouldMapId() {
			var userProfile = map();

			assertThat(userProfile.getId()).isEqualTo(UserProfileTestFactory.ID);
		}

		@Test
		void shouldProceedWithNull() {
			Assertions.assertDoesNotThrow(() -> mapper.mapFrom(GrpcUserProfile.newBuilder().build()));
		}

		private UserProfile map() {
			return mapper.mapFrom(GrpcUserProfileTestFactory.create());
		}
	}
}
